import time
from serial import Serial
from adafruit_pm25.uart import PM25_UART

uart = Serial("/dev/ttyS0", baudrate=9600, timeout=0.25)
sensor = PM25_UART(uart, None)

while True:
    try:
        time.sleep(2)
        pmData = sensor.read()
#         print(aqdata)
        pm10concentration      = pmData["pm10 env"]
        pm10to25concentration  = pmData["pm25 env"]
        pm25to100concentration = pmData["pm100 env"]
        
        pm25concentration  = pm10concentration + pm10to25concentration
        pm100concentration = pm25concentration + pm25to100concentration
        
        print("PM2.5 concentration:", pm25concentration,  "μg/m^3")
        print("PM10  concentration:", pm100concentration, "μg/m^3")
        print("---------------------------------------")
    except RuntimeError:
        print("Unable to read from the sensor, retrying...")
        continue
    except KeyboardInterrupt:
        break



